Главная > ExtJS | Frameworks | JavaScript > Sencha CMD app build

Sencha CMD app build

31.08.2013 0 коммент. » Просмотры: 3 732
 

Sencha CMD

Сегодня начался курс про который я писал раньше тут: Тренинг по ExtJS от компании Farata Systems. Для работы нам потребовалось установить инструмент Sencha CMD который облегчает создание и управление проектом с помощью командной строки. Инструмент действительно полезный и интересный, однако при его использовании у меня возникла проблема с версиями Ruby..

При попытке сделать билд своему ExtJS проекту созданному с помощью Sencha CMD:

я получил такую ошибку:

На занятии нас предупредили, что на одном из последнем этапе компиляции, транслируются SASS скрипты в CSS, а так же готовятся спрайты для броузеров не поддерживающих CSS3. Это делается с помощью CSS Authoring Framework-а Compass. Он работает на Ruby, поэтому и нужно установить этот интерпретатор для успешной компиляции.

Ок, идем на сайт Ruby в раздел загрузок: https://www.ruby-lang.org/en/downloads/ и видим там такое сообщение:

If you’re on Windows, there’s a great project to help you install Ruby: RubyInstaller. It gives you everything you need to set up a full Ruby development environment on Windows.

Хорошо, идем на сайт RubyInstaller в раздел загрузок и качаем оттуда свежую версию. В моем случае это была версия: Ruby 2.0.0-p247 (x64). После загрузки я запустил инсталлятор и после нехитрых вопросов в мастере установки, интерпретатор был установлен:

Однако при  попытке скомпилировать свой проект в Sencha CMD я получал по прежнему ошибку, в этот раз они написали, что моя версия Ruby слишком новая:

Я вернулся на сайт RubyInstaller-а и скачал и установил версию 1.9. После чего удалил из Windows PATH запись о пути к версии 2.0, и убедился что там остался только путь к 1.9, после чего открыл консоль и проверил версию:

После чего компиляция приложения ExtJS, завершилась без ошибок.

Автор: | Теги: , , , , ,

Важно

У нас заработал ФОРУМ. Все вопросы, которые не касаются статьи, а так же вопросы по конкретно вашему случаю нужно задавать и обсуждать именно там, в разделе "Помощь пользователям".

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Разрешены HTML-теги: <a>, <code>, <i>, <em>, <strong>, <b>, <u>, <strike>